crashes, nanokontrol2 problems, no way to install 0.14

Post Reply
Red Plastic
F4 - Digitalis
Posts: 3
Joined: Tue Jul 04, 2017 12:47 am

crashes, nanokontrol2 problems, no way to install 0.14

Post by Red Plastic » Tue Jul 04, 2017 1:09 am

Hi guys, I'm using Giada for theatre works and I love it, but I've 3 kind of problems:
- Sometimes, without explicit reasons, it crashes (ubuntu studio 16.04, installed from kxstudio repos, 8gb ram i3 ssd hd) usually when I'm importing stuff or mapping devices
- With Nanokontrol2, if I select a button to start a track, I've to push it for all the duration of the track to play it, no way to push and play
- I've tried to install the new version .deb and it doesn't start, and from the source code no way to install it because of FLTK dependencies

I know this are three different topics :oops: but...you know...I'm lazy...

Thanks a lot!!! :D

User avatar
FFT
F14 - Syrian Rue
Posts: 518
Joined: Thu Mar 08, 2012 6:51 pm

Re: crashes, nanokontrol2 problems, no way to install 0.14

Post by FFT » Sat Jul 08, 2017 7:30 pm

Hi Red,
Sometimes, without explicit reasons, it crashes (ubuntu studio 16.04, installed from kxstudio repos, 8gb ram i3 ssd hd) usually when I'm importing stuff or mapping devices
Please paste here the console output ;)
With Nanokontrol2, if I select a button to start a track, I've to push it for all the duration of the track to play it, no way to push and play
Have you tried changing the "No NoteOff" parameter? Configuration -> MIDI -> Device does not send note off
I've tried to install the new version .deb and it doesn't start, and from the source code no way to install it because of FLTK dependencies
As per point #1, any console output to share?

Thanks for your feedback!

Red Plastic
F4 - Digitalis
Posts: 3
Joined: Tue Jul 04, 2017 12:47 am

Re: crashes, nanokontrol2 problems, no way to install 0.14

Post by Red Plastic » Mon Jul 10, 2017 7:54 am

Hi and thanks for the fast reply! Here is the code trying to install 0.14 from .deb . There are no console output when giada crashes, am i forgotting some options as verbose mode?
For the note off option, I've tryed but if I select it the push and play works but not the volumes.

Thanks a lot!
R. P.

Code: Select all

red@red-Vostro-3558:~$ sudo apt install /home/red/Scaricati/giada_0.14.0_0_amd64.deb
[sudo] password di red: 
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Nota, viene selezionato "giada" al posto di "/home/red/Scaricati/giada_0.14.0_0_amd64.deb"
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  cairo-dock-plug-ins-data kxstudio-meta-audio-plugins-collection libetpan17
  libgldi3 libjavascriptcoregtk-3.0-0 liblockfile-bin liblockfile1
  libwebkitgtk-3.0-0 libwebkitgtk-3.0-common libzeitgeist-2.0-0
  linux-headers-4.4.0-31 linux-headers-4.4.0-31-lowlatency
  linux-headers-4.4.0-79 linux-headers-4.4.0-79-lowlatency
  linux-image-4.4.0-31-lowlatency linux-image-4.4.0-79-lowlatency
  linuxsampler-lv2 luftikus-lv2 mod-distortion mod-pitchshifter mod-utilities
  moony.lv2 obxd-lv2 pitcheddelay-lv2 rubberband-lv2 samplv1-lv2 setbfree
  sherlock.lv2 sorcer synthv1-lv2 tal-plugins-lv2 tap-lv2
  teragonaudio-plugins-lv2 wsynth-dssi zam-plugins zeitgeist-core
Usare "sudo apt autoremove" per rimuoverli.
I seguenti pacchetti saranno RETROCESSI:
  giada
0 aggiornati, 0 installati, 1 retrocessi, 0 da rimuovere e 6 non aggiornati.
È necessario scaricare 0 B/1.577 kB di archivi.
Dopo quest'operazione, verranno liberati 3.131 kB di spazio su disco.
Continuare? [S/n] s
Scaricamento di:1 /home/red/Scaricati/giada_0.14.0_0_amd64.deb giada amd64 0.14.0 [1.577 kB]
dpkg: attenzione: retrocessione di giada dalla versione 2:0.11.2-1kxstudio1 alla 0.14.0
(Lettura del database... 395084 file e directory attualmente installati.)
Preparativi per estrarre .../giada_0.14.0_0_amd64.deb...
Estrazione di giada (0.14.0) su (2:0.11.2-1kxstudio1)...
Elaborazione dei trigger per bamfdaemon (0.5.3~bzr0+16.04.20160824-0ubuntu1)...
Rebuilding /usr/share/applications/bamf-2.index...
Elaborazione dei trigger per desktop-file-utils (0.22-1ubuntu5.1)...
Elaborazione dei trigger per gnome-menus (3.13.3-6ubuntu3.1)...
Elaborazione dei trigger per mime-support (3.59ubuntu1)...
Configurazione di giada (0.14.0)...
red@red-Vostro-3558:~$ giada
Il programma "giada" non è attualmente installato. È possibile installarlo digitando:
sudo apt install giada
red@red-Vostro-3558:~$ sudo apt install giada
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  cairo-dock-plug-ins-data kxstudio-meta-audio-plugins-collection libetpan17
  libgldi3 libjavascriptcoregtk-3.0-0 liblockfile-bin liblockfile1
  libwebkitgtk-3.0-0 libwebkitgtk-3.0-common libzeitgeist-2.0-0
  linux-headers-4.4.0-31 linux-headers-4.4.0-31-lowlatency
  linux-headers-4.4.0-79 linux-headers-4.4.0-79-lowlatency
  linux-image-4.4.0-31-lowlatency linux-image-4.4.0-79-lowlatency
  linuxsampler-lv2 luftikus-lv2 mod-distortion mod-pitchshifter mod-utilities
  moony.lv2 obxd-lv2 pitcheddelay-lv2 rubberband-lv2 samplv1-lv2 setbfree
  sherlock.lv2 sorcer synthv1-lv2 tal-plugins-lv2 tap-lv2
  teragonaudio-plugins-lv2 wsynth-dssi zam-plugins zeitgeist-core
Usare "sudo apt autoremove" per rimuoverli.
I seguenti pacchetti saranno aggiornati:
  giada
1 aggiornati, 0 installati, 0 da rimuovere e 6 non aggiornati.
È necessario scaricare 1.964 kB di archivi.
Dopo quest'operazione, verranno occupati 3.131 kB di spazio su disco.
Scaricamento di:1 http://ppa.launchpad.net/kxstudio-debian/apps/ubuntu trusty/main amd64 giada amd64 2:0.11.2-1kxstudio1 [1.964 kB]
Recuperati 1.964 kB in 5s (385 kB/s)
(Lettura del database... 395083 file e directory attualmente installati.)
Preparativi per estrarre .../giada_2%3a0.11.2-1kxstudio1_amd64.deb...
Estrazione di giada (2:0.11.2-1kxstudio1) su (0.14.0)...
Elaborazione dei trigger per bamfdaemon (0.5.3~bzr0+16.04.20160824-0ubuntu1)...
Rebuilding /usr/share/applications/bamf-2.index...
Elaborazione dei trigger per desktop-file-utils (0.22-1ubuntu5.1)...
Elaborazione dei trigger per gnome-menus (3.13.3-6ubuntu3.1)...
Elaborazione dei trigger per mime-support (3.59ubuntu1)...
Configurazione di giada (2:0.11.2-1kxstudio1)...
red@red-Vostro-3558:~$ giada
[init] Giada 0.11.2 - Mon Jul 10 09:44:13 2017
red@red-Vostro-3558:~$ 

Red Plastic
F4 - Digitalis
Posts: 3
Joined: Tue Jul 04, 2017 12:47 am

Re: crashes, nanokontrol2 problems, no way to install 0.14

Post by Red Plastic » Mon Jul 10, 2017 8:08 am

Running Giada in super user here is this output (but jack is obviously running...)

MidiOutJack::initialize: JACK server not running?

Post Reply